{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% block component_part %}

    {# The "official" login form is embedded in the standard twig #}
    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        content_heading: 'login'|trans
    }%}
        {% block content %}
            <saml-login-form
                :is-saml="{{ useSaml|json_encode }}"
                :saml-login-path="{{ path('saml_login')|json_encode }}"
                :csrf-token="{{ csrf_token('authenticate')|json_encode }}">
                {# Using the |raw filter in this special case is needed, as html tags are returned. #}
                {{ extensionPointMarkup('formExtraFields')|raw }}
            </saml-login-form>
        {% endblock content %}
    {% endembed %}

    {% if loginList.useIdp %}
        <p>Login with <a href="{{ gatewayURL }}">external provider</a></p>
    {% endif %}

    {# Login lists (platform, simulated osi login) that are available during testing #}
    {% if loginList.enabled %}
        <div class="{{ 'u-m u-mt-0'|prefixClass }}">
            <alternative-login
                :users="JSON.parse('{{ loginList.users|json_encode|e('js', 'utf-8') }}')"
                login-route="{{ path('DemosPlan_user_login') }}"
                password="{{ alternative_login_testuser_defaultpass }}"
                v-slot="{ headerFields, loginRoute, password, rowItems }">
                <dp-data-table-extended
                    :header-fields="headerFields"
                    :init-items-per-page="200"
                    :table-items="rowItems"
                    track-by="login">
                    <template v-slot:button="rowData">
                        <form
                            method="post"
                            :action="loginRoute">
                            <input type="hidden" name="r_useremail" :value="rowData.login">
                            <input type="hidden" name="password" :value="password">
                            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate')|json_encode }}">
                            <input type="submit" class="{{ 'btn btn--primary'|prefixClass }}" value="Login">
                        </form>
                    </template>
                </dp-data-table-extended>
            </alternative-login>

            {% if loginList.usersOsi|default([])|length > 0 %}
                <h2 class="u-mt-2">Simuliertes OSI-Login</h2>
                <alternative-login
                    class="{{ 'u-mt-2'|prefixClass }}"
                    :users="JSON.parse('{{ loginList.usersOsi|json_encode|e('js', 'utf-8') }}')"
                    login-route="{{ path('DemosPlan_user_login_osi_legacy') }}"
                    password="{{ alternative_login_testuser_defaultpass }}"
                    v-slot="{ headerFields, loginRoute, password, rowItems }">
                    <dp-data-table-extended
                        :header-fields="headerFields"
                        :initial-items-per-page="200"
                        :table-items="rowItems"
                        track-by="login">
                        <template v-slot:button="rowData">
                            <div>
                                <a
                                    :href="'{{ path('DemosPlan_user_login_osi_legacy', {'project': projectFolder|default}) }}&TokenTest='+rowData.name"
                                    class="{{ 'btn btn--primary'|prefixClass }}">
                                    Login
                                </a>
                            </div>
                        </template>
                    </dp-data-table-extended>
                </alternative-login>
            {% endif %}

        </div>
    {% endif %}

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['user-alternativeLogin.js']) }}
{% endblock javascripts %}
